LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices



Reply
 
Search this Thread
Old 05-02-2010, 08:42 AM   #1
LuckyCyborg
Member
 
Registered: Mar 2010
Posts: 128

Rep: Reputation: 19
Smile On slack-current: /usr/bin/mtp-getfile -> /tmp/package-libmtp/usr/bin/mtp-connect ?


Yup! libMTP package (libmtp-1.0.1-i486-1.txz) is cabbage! Someone drank too much while building this package ...

Can someone explain to me what Patrick wanted, actually?

Last edited by LuckyCyborg; 05-02-2010 at 08:45 AM.
 
Old 05-02-2010, 07:01 PM   #2
T3slider
Senior Member
 
Registered: Jul 2007
Distribution: Slackware64-14.1
Posts: 2,298

Rep: Reputation: 722Reputation: 722Reputation: 722Reputation: 722Reputation: 722Reputation: 722Reputation: 722
I don't know much about this but on 64_13.0 there are also symlinks to mtp-connect for multiple mtp utilities -- and they have all worked for me in the past when experimenting with console mtp transfers. Again I haven't looked into this and I know very little on the subject but there you go.
 
Old 05-03-2010, 01:47 PM   #3
rworkman
Slackware Contributor
 
Registered: Oct 2004
Location: Tuscaloosa, Alabama (USA)
Distribution: Slackware
Posts: 1,973

Rep: Reputation: Disabled
Look at the build script and tell me how you reached the conclusion that someone drank too much while *building* the package.

Actually, the upstream Makefile does it wrong. Add this to the build script:

Code:
# Fixup some bad symlinking by the Makefile
( cd $PKG/usr/bin
  rm -f mtp-sendtr mtp-sendfile mtp-newfolder mtp-getfile mtp-delfile
  ln -s mtp-connect mtp-sendtr
  ln -s mtp-connect mtp-sendfile
  ln -s mtp-connect mtp-newfolder
  ln -s mtp-connect mtp-getfile
  ln -s mtp-connect mtp-delfile
)
I'm sure you'll have no problem figuring out where to add it since you feel qualified to determine whose fault it was.
 
1 members found this post helpful.
Old 05-03-2010, 02:13 PM   #4
LuckyCyborg
Member
 
Registered: Mar 2010
Posts: 128

Original Poster
Rep: Reputation: 19
Wink

Quote:
Originally Posted by rworkman View Post
Look at the build script and tell me how you reached the conclusion that someone drank too much while *building* the package.

Actually, the upstream Makefile does it wrong. Add this to the build script:

Code:
# Fixup some bad symlinking by the Makefile
( cd $PKG/usr/bin
  rm -f mtp-sendtr mtp-sendfile mtp-newfolder mtp-getfile mtp-delfile
  ln -s mtp-connect mtp-sendtr
  ln -s mtp-connect mtp-sendfile
  ln -s mtp-connect mtp-newfolder
  ln -s mtp-connect mtp-getfile
  ln -s mtp-connect mtp-delfile
)
I'm sure you'll have no problem figuring out where to add it since you feel qualified to determine whose fault it was.
Thanks,you are right! But I preffer to patch the build sources. Anyways, was a bug report. The current package in slackware-current is crappified...

How about a little patch like:

Code:
diff -urN libmtp-1.0.1.orig/examples/Makefile.am libmtp-1.0.1/examples/Makefile.am                                                          
--- libmtp-1.0.1.orig/examples/Makefile.am      2009-05-07 02:04:19.000000000 +0300                                                         
+++ libmtp-1.0.1/examples/Makefile.am   2010-05-03 21:02:33.744733358 +0300                                                                 
@@ -27,8 +27,8 @@                                                                                                                           
 EXTRA_DIST=evolution-sync.sh                                                                                                               
.                                                                                                                                           
 install-exec-hook:                                                                                                                         
-       ln -f -s $(DESTDIR)$(bindir)/mtp-connect$(EXEEXT) $(DESTDIR)$(bindir)/mtp-delfile$(EXEEXT)                                          
-       ln -f -s $(DESTDIR)$(bindir)/mtp-connect$(EXEEXT) $(DESTDIR)$(bindir)/mtp-getfile$(EXEEXT)                                          
-       ln -f -s $(DESTDIR)$(bindir)/mtp-connect$(EXEEXT) $(DESTDIR)$(bindir)/mtp-newfolder$(EXEEXT)                                        
-       ln -f -s $(DESTDIR)$(bindir)/mtp-connect$(EXEEXT) $(DESTDIR)$(bindir)/mtp-sendfile$(EXEEXT)                                         
-       ln -f -s $(DESTDIR)$(bindir)/mtp-connect$(EXEEXT) $(DESTDIR)$(bindir)/mtp-sendtr$(EXEEXT)                                           
+       ln -f -s mtp-connect$(EXEEXT) $(DESTDIR)$(bindir)/mtp-delfile$(EXEEXT)                                                              
+       ln -f -s mtp-connect$(EXEEXT) $(DESTDIR)$(bindir)/mtp-getfile$(EXEEXT)                                                              
+       ln -f -s mtp-connect$(EXEEXT) $(DESTDIR)$(bindir)/mtp-newfolder$(EXEEXT)                                                            
+       ln -f -s mtp-connect$(EXEEXT) $(DESTDIR)$(bindir)/mtp-sendfile$(EXEEXT)                                                             
+       ln -f -s mtp-connect$(EXEEXT) $(DESTDIR)$(bindir)/mtp-sendtr$(EXEEXT)
and

Code:
--- libmtp.SlackBuild.orig      2010-04-10 23:30:04.000000000 +0300                                                                         
+++ libmtp.SlackBuild   2010-05-03 21:08:54.687770161 +0300                                                                                 
@@ -62,6 +62,11 @@                                                                                                                          
 tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1                                                                                          
 cd ${PKGNAM}-$VERSION                                                                                                                      
.                                                                                                                                           
+# Fix examples/Makefile.am                                                                                                                 
+zcat $CWD/${PKGNAM}-$VERSION.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit                                                 
+                                                                                                                                           
+autoreconf                                                                                                                                 
+                                                                                                                                           
 # Make sure ownerships and permissions are sane:                                                                                           
 chown -R root:root .                                                                                                                       
 find . \

Last edited by LuckyCyborg; 05-03-2010 at 02:15 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
echo $PATH = /home/g3rc4n/bin:/usr/local/bin:/usr/bin:/bin:/usr/games ? i_heart_pandas Linux - Software 7 09-18-2009 09:33 AM
Failed to chck remot comnd executin using shells /usr/bin/ssh and /usr/bin/rsh farnaw4u Linux - Software 2 04-06-2009 01:08 AM
what is difference between /usr/bin/7za /usr/bin/7z fakie_flip Linux - Software 9 08-14-2006 10:22 PM
Ubuntu 5.10 -> 6.06: diversion of /usr/bin/ldd to /usr/bin/ldd.amd64 by ia32-libs HellSpawn Linux - Software 2 06-04-2006 10:18 PM
path in services wrong for clamav updated frm 0.75 to 0.80 usr/bin vs usr/local/bin Emmanuel_uk Linux - Newbie 3 04-22-2005 02:02 AM


All times are GMT -5. The time now is 07:38 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration